Welcome to Silk Meter 19.5

Welcome to Silk Meter

  • Overview of Silk Meter
  • Silk Meter Components
  • Silk Meter Architecture

Online Resources

  • Micro Focus Home Page
  • Micro Focus Channel on YouTube
  • Micro Focus SupportLine
  • Micro Focus Product Updates

Provide Feedback

  • Contacting Micro Focus
  • Email us feedback regarding this Help
  • Overview of Silk Meter
    Describes Silk Meter.
  • The Policy Administrator
    Describes how you can use the Policy Administrator to configure the licensing for your product.
  • Users and groups
    Describes how to apply policy grants to users and groups.
  • Grants
    Describes how you can use the Grants Editor to specify grants for users, groups, and hosts.
  • Log files
    Describes the log files that log the interactions between the licensed clients and the Silk Meter server.
  • Silk Meter configuration files
    Describes how you can configure the Silk Meter server and the Silk Meter by using the Silk Meter configuration files.
  • Obtaining host IDs
    Describes how you can obtain the host ID.
  • Changing ports
    Describes how you can change a port if port 5461 is in use, or if you need to change ports for some other reason.
  • Server status
    Describes the Silk Meter server status.
  • Errors
    Lists the errors that can occur in Silk Meter.
  • Warning codes
    Lists the warning codes for Silk Meter.
  • Keyboard shortcuts
    Lists the keyboard shortcuts that are available for the Policy Administrator.
  • Contacting Micro Focus
    Describes how you can access Micro Focus SupportLine for your support needs.


Overview of Silk Meter

You are currently using the runtime version of Silk Meter. The runtime version enables you to use the Silk Meter Policy Administrator to:
  • Add and delete servers and policies.
  • Import policies.
  • Edit grants.
  • Configure the Silk Meter license server connection.
  • View statistics.
  • Check out license policies for mobile use.
  • Query the server log file.
  • Licensing with Silk Meter
    Describes how you can use Silk Meter for licensing.
  • Silk Meter components
    Describes the Silk Meter components.
  • Silk Meter architecture
    Describes the Silk Meter architecture.
Parent topic: Welcome to Silk Meter 19.5
Related tasks
Checking out a policy


Licensing with Silk Meter

To license a product with Silk Meter, the following high-level steps are required:

  1. Import the policy. For additional information, see Importing a policy.
  2. If applicable, create usage grants for the users of the application. For additional information, see Creating a grant.
  3. Each user of the application installs the application, the Silk Meter runtime components, and, if applicable, the policy. For additional information, refer to the installation guide of the product that you are licensing with Silk Meter, for example Silk Central.
Parent topic: Overview of Silk Meter


Silk Meter components

Silk Meter enables you to meter and control the usage of applications through the following components:
  • Usage Control Server: A process that grants access and meters activity based on details that are provided by the application license policy and the state of the system. The Usage Control Server can be customized by producers and is called ls_producername. The Usage Control Server for the Micro Focus producer is embedded in the Usage Control Manager.
  • Usage Control Manager: A server process that manages and distributes multiple usage control servers for different producers. It contains the Usage Control Server for the Micro Focus producer and controls the policies and metering data. It is called smSystem.exe.
  • Policy Administrator: A tool that presents an overview of all usage control servers, installed policies, currently connected users, metering data, and statistics. The Policy Administrator enables you to create, edit, or remove user grants, to check-in or check-out mobile licenses, and to add or remove policies.
Parent topic: Overview of Silk Meter


Silk Meter architecture

Silk Meter licensing and metering are used in an application as follows:
  1. A client accesses the web server and requests usage of an application or component that is controlled by Silk Meter.
  2. The request is passed to the Usage Control Server, which determines whether or not to grant access to the e-business application, based on information contained in the policy.
    Note: If there are multiple valid policies available for the same product, the first policy in the list that satisfies the request is being used. The other policies are ignored in this case. The order in which the policies are validated is the same as in the list of policies on the Policy Administrator.
  3. The Usage Control Server then authorizes the application to grant access to the requested application or component through the web server. If the Usage Control Server denies access to the application or component, the web server might display an error message.
  4. Metering data is collected and stored. These statistics are accessible from the Policy Administrator.

Silk Meter is designed based on the following design considerations to ensure flexibility and extensibility:

  • Silk Meter uses IIOP as the communication protocol, guaranteeing interoperability with programs built using any CORBA-compliant object request broker. The protocol between Silk Meter clients and servers is fully documented.
  • The security module is isolated from the rest of the system, permitting substitution with encryption algorithms other than the default MD5 .
  • The policy format is extensible, and the management software is independent of policy content.
  • Silk Meter fully conforms to the OMG COS Licensing Specification, which defines the standard for object access control and usage metering, enabling interaction with other CORBA compliant systems.
Parent topic: Overview of Silk Meter


The Policy Administrator

Describes how you can use the Policy Administrator to configure the licensing for your product.
The Policy Administrator tool enables you to configure the licensing for your products, by allowing you to use the following functionality:
  • Import policies.
  • Check-in / Check-out mobile policies.
  • Delete servers or policies.
  • Edit grants.
  • Edit projects.
  • Configure the Silk Meter license server connection.
  • View statistics.
  • Query Silk Meter server log-files.
  • Merge report files.
  • Edit users and groups.

To access the Policy Administrator, click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 > Policy Administrator or (in Microsoft Windows 10) Start > Silk > Policy Administrator. The left column of the Policy Administrator displays the policies and licenses that are in use on the currently selected license server. The right column displays details about the selected policy.

You can run the Policy Administrator either in user mode or in administrator mode. User mode offers limited functionality in comparison to the administrator mode, as importing and removing policies and editing grants is disabled.

  • Policies
    Describes how Silk Meter control the usage of an application with a policy.
  • Security modes
    Describes the security modes that are offered by the Policy Administrator.
  • Standalone licensing
    Describes how you can operate an application without a Silk Meter server.
  • Configuring the Silk Meter connection
    Configure the Silk Meter connection to specify another license server, a different port for the license server, or whether to run Silk Meter in standalone mode.
  • Importing a policy
    Import a policy to start working with an application that is licensed through Silk Meter.
  • Deleting a policy
    Use the Policy Administrator to delete a policy.
  • Viewing metering statistics
    Use the Statistics dialog to view metering statistics for a policy.
  • Querying log files
    Use the Query Dialog to query log files, to save query output to report files, and to view report files.
  • Merging report files
    Use the Report Merge Dialog to merge report files generated by previous queries into a single report file.
  • Checking out a policy
    Check out a license policy from your Silk Meter server to use the licenses offline for up to 14 days.
  • Checking in a policy
    Check in a currently checked out license policy to your Silk Meter server to resume using the licenses online.
Parent topic: Welcome to Silk Meter 19.5


Policies

A policy is a license key that enables you to use an application. Each policy contains specific policy information and an authentication key.

Applications that are controlled by Silk Meter have one of the following policy types:
Policy Type | Description
Floating | The controlled software can run on any computer on a network. A CORBA server manages the number of available access keys.
Standalone | The controlled software can run on any computer on a network and may also be used in standalone mode, which means without a running Silk Meter server. Policies of this type contain the allow_standalone property.
Standalone only | The controlled software can only be used in standalone mode, which means without a running Silk Meter server. Policies of this type contain the force_standalone property.
The following Silk Meter policy properties control the application usage by specifying usage restrictions and bindings:
Policy Property | Description | Required/Optional
product | The name of the product with which the policy is associated. A product name is required to form a valid policy. | Required
version | The version number of the product that you are licensing. This is required to form a valid policy. | Required
key | Hash value used to protect the policy against manipulation. | Required
licenses | The number of concurrent product licenses or the number of licensed virtual users, depending upon the product that you are licensing. | Optional
hostname | The name of the machine to which a policy is restricted. | Optional
serverid | The MAC address of the machine to which a policy is restricted. | Optional
timeframe | The time period for which the policy is valid. | Optional
allow_older_versions | When set to true, requests for older versions of this policy are authenticated. | Optional

Sample Policy

A Silk Meter policy for a virtual user of Silk Performer might look similar to the following:
license ( segue, SamplePolicy )
{
  product = SilkPerformerWebVU;
  version = 19.5;
  key = e6ec7d074cc96208d37d5e9574641729;
  licenses = 1;
  serverid = 00FEAB3412A1;
  timeframe = (10/01/2018 to 11/25/2018);
  allow_older_versions = false;
  allow_standalone = true;
}
Parent topic: The Policy Administrator


Security modes

The Policy Administrator supports two different modes, the administrator mode and the user mode. The user mode offers limited features in comparison to the administrator mode.

If no access restrictions have been defined, the Policy Administrator opens in administrator mode. Otherwise the Policy Administrator opens in user mode. If grants for the SilkMeterAdminAccess policy have been set by the system administrator, further switches to the administrator mode are available only to granted users.

The policy is automatically installed during the setup process and cannot be deleted from Policy Administrator.

In user mode the following features are not available:

  • Importing a new policy.
  • Deleting a server or policy.
  • Editing grants.
  • Switching security modes
    Use the Switch Security Mode dialog to switch between the administrator mode and the user mode of the Policy Administrator.
Parent topic: The Policy Administrator
Related tasks
Creating a grant


Switching security modes

Use the Switch Security Mode dialog to switch between the administrator mode and the user mode of the Policy Administrator.
  1. Click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 > Policy Administrator or (in Microsoft Windows 10) Start > Silk > Policy Administrator to access the Policy Administrator.
  2. In the Policy Administrator, click Configuration > Switch Security Mode in the menu or click Switch Security Mode in the toolbar. The Switch Security Mode dialog appears.
  3. If you are switching from the user mode to the administrator mode, provide the login user name and password. By default, leave the fields empty.
  4. Click OK
Parent topic: Security modes


Standalone licensing

Standalone licensing enables you to operate an application without a Silk Meter server. The client reads the policy directly to determine if it is allowed to run, rather than connecting to a remote or local license server for authorization.

To support this type of licensing, policies must have the allow_standalone option set to true and the Silk Meter configuration file, silkmeter.cfg, must include the following line:
run_standalone=true

To switch to and from the standalone licensing mode, click ConfigurationConnection Settings in the menu and check the appropriate mode.

Note: Micro Focus recommends running remote-server and standalone Micro Focus applications on separate machines, because running remote-server and standalone applications on the same machine can lead to inconsistencies in the policies.dat file, when the file is changed.
Parent topic: The Policy Administrator
Related tasks
Configuring the Silk Meter connection


Configuring the Silk Meter connection

Configure the Silk Meter connection to specify another license server, a different port for the license server, or whether to run Silk Meter in standalone mode.
  1. Click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 > Policy Administrator or (in Microsoft Windows 10) Start > Silk > Policy Administrator to access the Policy Administrator.
  2. In the Policy Administrator, click Configuration > Connection Settings in the menu or click Connection Settings in the toolbar. The Connection Settings dialog appears.
  3. Select the licensing mode that you want to use.
    • To access a local or remote license server, click License Server.
    • To run Silk Meter in standalone mode, without requiring a connection to a license server, click Standalone.
  4. If you have selected to access a local or remote license server, specify the connection details.
    1. Specify the host name or the IP address of the license server in the Host field. Silk Meter supports using localhost as the host name.
    2. Specify the number of the port on which the Silk Meter license server runs in the Port field. The default port is 5461.
  5. Click OK. Silk Meter saves your changes and closes the Connection Settings window.
Parent topic: The Policy Administrator


Importing a policy

Import a policy to start working with an application that is licensed through Silk Meter.
  1. Click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 > Policy Administrator or (in Microsoft Windows 10) Start > Silk > Policy Administrator to access the Policy Administrator.
  2. If the Policy Administrator is in user mode, switch to the administrator mode. For additional information, see Switching Security Modes.
  3. Click File > Import Policy in the menu or click Import Policy in the toolbar. The Import Policy dialog appears.
  4. Browse to the policy file.
  5. Click Select If the policy passes the validation check, it is added to the server.
Parent topic: The Policy Administrator


Deleting a policy

Use the Policy Administrator to delete a policy.
  1. Click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 > Policy Administrator or (in Microsoft Windows 10) Start > Silk > Policy Administrator to access the Policy Administrator.
  2. If the Policy Administrator is in user mode, switch to the administrator mode. For additional information, see Switching Security Modes.
  3. Select the policy that you want to delete.
  4. Click File > Remove Policy in the menu or click Delete Server/Policy in the toolbar. The Deleting Policy dialog appears.
  5. Click Yes to delete the selected policy.
Parent topic: The Policy Administrator


Viewing metering statistics

Use the Statistics dialog to view metering statistics for a policy.
  1. Click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 > Policy Administrator or (in Microsoft Windows 10) Start > Silk > Policy Administrator to access the Policy Administrator.
  2. Select the policy for which you want to view statistics.
  3. Click Report > Statistics in the menu or click Statistics in the toolbar.
The Statistics dialog includes the following columns:
Name | Description
Producer | The name of the policy producer.
Policy ID | The policy identification number, as assigned by the producer.
Part | The number of the application part to which the policy applies.
Type The grantee type:
  • user
  • group
  • host
Grantee | The name of the user, group, or host that has used the policy.
Invokes | Displays the accumulated usage of the policy. For example, all users on a particular host using the specified policy.
Units | Displays the number of the units, which have been used on this policy.
Seconds | Displays the seconds this policy has been used per each displayed part and grantee.
Parent topic: The Policy Administrator


Querying log files

Use the Query Dialog to query log files, to save query output to report files, and to view report files.
  1. Click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 > Policy Administrator or (in Microsoft Windows 10) Start > Silk > Policy Administrator to access the Policy Administrator.
  2. Click Report > Query Log File in the menu or click Query Log File in the toolbar. The Query Dialog appears.
  3. Select the Query Target.
    • Click Standard Log Files to query standard log files. Standard log files are located at %SILK_CONFIG_PATH%\<Silk Meter directory> and are named log*. log.
    • Click Log File on local machine with running Silk Meter service and specify the name of the Target File to query a local log file.
    • Click Report File and specify the name of the Target File to view a report file.
  4. Click Configure target size to restrict the number of log file lines. The Target Size Options dialog opens. Specify a maximum number of lines or click All lines.
  5. Select the Output.
    • Click put output into Report File to create a report file containing the query output and type the name for the report file into the box below.
    • Click show output in Web Browser to show the report file in the default browser.
    • Click show output in Log Browser to show the report file in the log browser.
  6. Optional: If you have chosen to show the report file in the default browser, click Advanced to exclude the daily summary from the report file.
  7. Specify the parameters for the query.
    1. Specify the time frame for the query. Specify the start and end dates in the format MM/DD/YYYY. Specify the start and end hours as integers from 0 to 24.
    2. Specify the product name in the Product field.
    3. Specify the product version number in the Version field.
    4. Specify the policy ID in the Policy ID field.
    5. Specify the user name in the User field or select one of the existing user names.
    6. Select one of the existing group names for the Group field.
    7. Specify the host name in the Host field.
  8. Click Run Query.
Parent topic: The Policy Administrator


Merging report files

Use the Report Merge Dialog to merge report files generated by previous queries into a single report file.
Note: This is a simple content copy, so if identical information is included in both source files, the information will be included twice in the merged file.
  1. Click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 > Policy Administrator or (in Microsoft Windows 10) Start > Silk > Policy Administrator to access the Policy Administrator.
  2. Click Report > Merge Report Files in the menu or click Merge Report Files in the toolbar. The Report Merge Dialog appears.
  3. Select the files to add to the output file. For each file:
    1. Click Add. The Select Report File dialog appears.
    2. Browse to the file and click Select.
  4. Specify the location and a name for the target report file.
    1. Type the name into the Merged to Report File field.
    2. Click Browse. The Select Output Report File dialog appears.
    3. Browse to the file and click Select.
  5. Click Merge.
Parent topic: The Policy Administrator


Checking out a policy

Check out a license policy from your Silk Meter server to use the licenses offline for up to 14 days.
  1. Start the Policy Administrator in elevated mode.
    1. Click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 or (in Microsoft Windows 10) Start > Silk.
    2. Right-click Policy Administrator.
    3. Select Run as Administrator.
  2. Connect to the remote server. For additional information, see Configuring the Silk Meter connection.
  3. Select the policy that you want to check out.
    Note: You cannot check out policies with maximum invokes or units.
  4. Click File > Check out Mobile Policy in the menu or click Check out Mobile Policy in the toolbar. The Check-out Mobile Policies dialog appears.
  5. Specify the number of licenses that you want to check out in the Check-out field.
    Tip: The Available field displays the available number of licenses.
  6. Specify the Number of days that the licenses should remain checked out. The maximum is 14 days.
  7. Click OK The Policy Administrator displays the icon for the remote server and the icon for the local client below the product name.
Parent topic: The Policy Administrator
Related tasks
Checking in a policy


Checking in a policy

Check in a currently checked out license policy to your Silk Meter server to resume using the licenses online.
  1. Start the Policy Administrator in elevated mode.
    1. Click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 or (in Microsoft Windows 10) Start > Silk.
    2. Right-click Policy Administrator.
    3. Select Run as Administrator.
  2. Connect to the remote server. For additional information, see Configuring the Silk Meter connection.
  3. Select the policy that you want to check in.
  4. Click File > Check in Mobile Policy in the menu or click Check in Mobile Policy in the toolbar.
Parent topic: The Policy Administrator
Related tasks
Checking out a policy


Users and groups

Silk Meter server offers user and group management that can be used to apply policy grants.

The Policy Administrator allows you to add, rename, and remove users and groups from the management system. Users and groups may also be assigned to each other.
Note: This functionality is only available in administrator mode. For additional information, see Switching Security Modes.

These users and groups can be used in the Edit Grants dialog to apply policy grants.

The following characters are not allowed for user and group names:
  • Characters that Microsoft does not allow for user or group creation.
  • Characters that Silk Meter uses for tokens.
  • Characters that have other significance in policy files.
  • The characters / [ ] : | < > + = ; , ? * { } ( ) # & €
Note: The backslash character '\' is explicitly allowed to support grants for the <client name>\<user name> login notation of Silk Central.
  • Editing users
    Use the Edit Users/Group dialog to edit users.
  • Editing groups
    Use the Edit Users/Group dialog to edit groups.
Parent topic: Welcome to Silk Meter 19.5
Related concepts
Grants


Editing users

Use the Edit Users/Group dialog to edit users.
  1. Click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 > Policy Administrator or (in Microsoft Windows 10) Start > Silk > Policy Administrator to access the Policy Administrator.
  2. If the Policy Administrator is in user mode, switch to the administrator mode. For additional information, see Switching Security Modes.
  3. Click Configuration > Users & Groups in the menu or click Edit Users/Groups in the toolbar. The Edit Users/Groups dialog appears.
  4. Select Users. The left pane of the Edit Users/Groups dialog displays all users. The Assigned Groups pane displays all groups that are assigned to the selected user.
  5. To rename the selected user:
    1. Type the new name into the User field.
    2. Click Rename.
    Renaming a user updates the user name in the server user/group management system. Existing policy grants with that user name are updated automatically.
  6. To add a new user:
    1. Click Add a new user. The Add User dialog appears.
    2. Type a name for the new user into the User name field.
    3. Click OK.
  7. To delete the selected user, click Remove the selected user.
  8. To assign groups to the selected user:
    1. Click Add group(s) to selected user.
    2. Select the desired groups. Use Ctrl+Click to select multiple groups.
    3. Click OK.
  9. To remove an assigned group from the selected user:
    1. Select the desired group.
    2. Click Remove group(s) from selected user.
Parent topic: Users and groups


Editing groups

Use the Edit Users/Group dialog to edit groups.
  1. Click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 > Policy Administrator or (in Microsoft Windows 10) Start > Silk > Policy Administrator to access the Policy Administrator.
  2. If the Policy Administrator is in user mode, switch to the administrator mode. For additional information, see Switching Security Modes.
  3. Click Configuration > Users & Groups in the menu or click Edit Users/Groups in the toolbar. The Edit Users/Groups dialog appears.
  4. Select Groups. The left pane of the Edit Users/Groups dialog displays all groups. The Assigned Users displays all users that are assigned to the selected group.
  5. To rename the selected group:
    1. Type the new name into the Group field.
    2. Click Rename.
    Renaming a group updates the group name in the server user/group management system. Existing policy grants with that group name are updated automatically.
  6. To add a new group:
    1. Click Add a new group. The Add Group dialog appears.
    2. Type a name for the new group into the Group name field.
    3. Click OK.
  7. To delete the selected group, click Remove the selected group.
  8. To assign users to the selected group:
    1. Click Add user(s) to the selected group.
    2. Select the desired users. Use Ctrl+Click to select multiple users.
    3. Click OK.
  9. To remove an assigned user from the selected group:
    1. Select the desired user.
    2. Click Remove user(s) from the selected group.
Parent topic: Users and groups


Grants

Using the Grants Editor, you can specify grants for users, groups, and hosts. When you specify a grant, you must define certain attributes.

Producer grants may have been set up by the policy producer. Producer grants cannot be edited. Producer and user grants cannot be mixed within a single application that is controlled by Silk Meter. Currently Micro Focus does not provide policies with producer grants.

You can create grants that restrict application on hosts and users based on user/group management, timeframes, and the number of concurrent licenses. There are limitations, depending upon the application platform, as to what data is transferred as user and host name from the application. These limitations are described in the following table. If the client application supports user/password authentication and an empty user name is provided, Java applications will transfer the javauser constant as the user variable.

Operating System | User | Host
Windows | OS login name | OS hostname
Java | OS login name (variable) or javauser (constant) | OS hostname

You can use the user/group management information of the Silk Meter server to create grants. When using a group grant, you must provide one of the existing group names. The provided user name by the request is checked to confirm that it is included within a group that has a grant on that policy. If the name is included within an existing group, access is given.

When a license request is received by the server, the request is checked to determine if a policy exists that satisfies the request, including all grants applied to the policy. The following characteristics apply to grants:

  • Silk Meter groups are independent of Windows group management.
  • It is only possible to specify "allow" or "deny" grants for a policy.
  • During a grant check, Silk Meter first checks the user grant, then the group grant, and finally the host grant.
  • A user name that is not known on the Silk Meter server is treated as a "groupless" user.
  • If a request is satisfied by a user or host grant, then group "none" is logged and can be used for queries.
  • Creating a grant
    Create a grant to restrict a policy for an application on hosts and users based on user/group management, timeframes, and the number of concurrent licenses.
  • Editing a grant
    Edit a grant to restrict a policy for an application on hosts and users based on user/group management, timeframes, and the number of concurrent licenses.
  • Deleting a grant
    Delete a grant to remove restrictions on a policy.
Parent topic: Welcome to Silk Meter 19.5
Related concepts
Users and groups


Creating a grant

Create a grant to restrict a policy for an application on hosts and users based on user/group management, timeframes, and the number of concurrent licenses.
Note: When creating grants associated with multi-user (concurrent) licenses, the sum of user licenses can be greater than the total allowed concurrent licenses.
  1. Click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 > Policy Administrator or (in Microsoft Windows 10) Start > Silk > Policy Administrator to access the Policy Administrator.
  2. If the Policy Administrator is in user mode, switch to the administrator mode. For additional information, see Switching Security Modes.
  3. Select the policy to which you want to add a grant.
  4. Click Configuration > Grants in the menu or click Edit Grants in the toolbar. The Edit Grants dialog appears.
  5. Select user, group, or host from the Grantee list.
    • A user grant allows access only to the users specified in the grant.
    • A group grant, allows access to all members of the group.
    • A host grant, specified by the host name of the machine, allows access only to that host.
  6. Type the name of the user, group, or host into the Grantee field. If user or group is selected, you can select an existing user or group name.
  7. Type the password of the user into the User Password field.
  8. Retype the password of the user into the Confirm Password field.
  9. If this is the first grant for this policy, select the desired permission type, allow or deny, from the Permission list. If the first grant is specified for a policy, this selection becomes disabled and all other grants for this policy will be of the same type. After deleting the last grant for a policy, the selection becomes enabled again.
  10. Optional: Limit the grant to a specific date range.
    1. Select the Date tab.
    2. Check Date Timeframe.
    3. Specify the start date and the end date in the format MM/DD/YYYY.
  11. Optional: Limit the grant to a range of days in a week, for example from Monday to Friday.
    1. Select the Day tab.
    2. Check Day Timeframe.
    3. Select the start day and the end day from the corresponding lists.
  12. Optional: Limit the grant to a specific range of time of each day.
    1. Select the Hour tab.
    2. Check Hour Timeframe.
    3. Specify the start time and the end time in the format HH:MM.
  13. Specify the Usage of licenses:
    • Select Unlimited licenses to select unlimited licenses.
    • Select Number of licenses to specify a number of licenses.
  14. Click Add Grant.
  15. Click OK to save your changes and to exit the Edit Grants dialog .
Parent topic: Grants
Related tasks
Editing a grant
Deleting a grant


Editing a grant

Edit a grant to restrict a policy for an application on hosts and users based on user/group management, timeframes, and the number of concurrent licenses.
Note: When editing grants associated with multi-user (concurrent) licenses, the sum of user licenses can be greater than the total allowed concurrent licenses.
  1. Click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 > Policy Administrator or (in Microsoft Windows 10) Start > Silk > Policy Administrator to access the Policy Administrator.
  2. If the Policy Administrator is in user mode, switch to the administrator mode. For additional information, see Switching Security Modes.
  3. Select the policy to which you want to edit a grant.
  4. Click Configuration > Grants in the menu or click Edit Grants in the toolbar. The Edit Grants dialog appears.
  5. Select user, group, or host from the Grantee list.
  6. Type the name of the user, group, or host into the Grantee field. If user or group is selected, you can select an existing user or group name.
  7. Type the password of the user into the User Password field.
  8. Retype the password of the user into the Confirm Password field.
  9. Optional: Limit the grant to a specific date range.
    1. Select the Date tab.
    2. Check Date Timeframe.
    3. Specify the start date and the end date in the format MM/DD/YYYY.
  10. Optional: Limit the grant to a range of days in a week, for example from Monday to Friday.
    1. Select the Day tab.
    2. Check Day Timeframe.
    3. Select the start day and the end day from the corresponding lists.
  11. Optional: Limit the grant to a specific range of time of each day.
    1. Select the Hour tab.
    2. Check Hour Timeframe.
    3. Specify the start time and the end time in the format HH:MM.
  12. Specify the Usage of licenses:
    • Select Unlimited licenses to select unlimited licenses.
    • Select Number of licenses to specify a number of licenses.
  13. Click Yes to replace the existing grant with the modified grant.
  14. Click OK to save your changes and to exit the Edit Grants dialog .
Parent topic: Grants
Related tasks
Creating a grant
Deleting a grant


Deleting a grant

Delete a grant to remove restrictions on a policy.
  1. Click (in Microsoft Windows 7) Start > All Programs > Silk > Silk Meter 19.5 > Policy Administrator or (in Microsoft Windows 10) Start > Silk > Policy Administrator to access the Policy Administrator.
  2. If the Policy Administrator is in user mode, switch to the administrator mode. For additional information, see Switching Security Modes.
  3. Select the policy from which you want to delete a grant.
  4. Click Configuration > Grants in the menu or click Edit Grants in the toolbar. The Edit Grants dialog appears.
  5. Select the grant that you want to delete.
  6. Click Delete Grant.
  7. Click OK to save your changes and to exit the Edit Grants dialog .
Parent topic: Grants
Related tasks
Creating a grant
Editing a grant


Log files

Interactions between licensed clients and the Silk Meter server are logged to the smServerLog.log file, which is located in the %PROGRAMDATA%\Borland\Silk\SilkMeter\cfg\silkmeter\logs directory.

When this log file reaches the maximum size, which is configurable and by default 4MB, the file is archived with the name smServerLog_<datetime>_<timestamp>.log in the same directory. A new, empty log file is then created. The timestamp that is used for the new log file reflects the time at which the file is saved, for example smServerLog_2018_03_30_12_51_27_1032349743.log.

You can change the maximum size, in KB, of the log file by using the registry setting MaxLogFileSize, which is of type REG_SZ, under the HKLM\System\CurrentControlSet\Services\SgMeManager\Parameters registry key.

The variables contained in log file entries are defined as follows:

  • Logged actions
    Lists the actions that are logged in log files.
  • Variables contained in log files
    Lists the variables that are contained in log file entries.
Parent topic: Welcome to Silk Meter 19.5


Logged actions

The following actions are logged to the smServerLog.log file, which is located in the %PROGRAMDATA%\Borland\Silk\SilkMeter\cfg\silkmeter\logs directory:
Action Log File Syntax
Init
Init date action producer timestamp
For example:
[09/18/2018, 13:49:03] Init segue 1032349743
Start
Start date action licenseID policyID user group host part amount token project producer timestamp
For example:
[09/19/2018, 15:51:20] Start LicId: 1 PolId: 500 User: testUser Group: sgme_windows Host: enya Part: 0 Amount: 1 Tokens: 0 Project: segue segue 1032443480
Check
Check date action licenseID policyID units part amount token producer timestamp
For example:
[09/19/2018, 15:51:25] Stop LicId: 4 PolId: 510 Part: 0 Amount: 1 segue 1032443485
Stop
Stop date action producer licenseID policyID part amount producer timestamp
For example:
[09/19/2018, 15:51:25] Stop LicId: 4 PolId: 510 Part: 0 Amount: 1 segue 1032443485
Error
Error date action errornum product version user group host part amount units time project producer timestamp
For example:
[09/18/2018, 15:51:28] Error 101 SilkPerformerWebVU 19.5 User: testUser Group: sgme_windows Host: enya Part: 0 Amount: 1 Units: 0 Project: segue segue 1032443488
New Period
New Period date action policyID timestamp length producer timestamp
For example:
[09/18/2018, 15:29:29] NewPeriod PolId: 501 Time: 1050326969 Length:1440 segue 1050326969
Checkout Mobile
Checkout Mobile date action policyID user client licenses days timestamp
For example:
[09/20/2018, 13:10:44] Checkout Mobile PolId: 678 User: Administrator Client: enya Licenses: 2 Days: 2 1505905844
Checkin Mobile
Checkin Mobile date action policyID client licenses startDate endDate timestamp
For example:
[09/20/2018, 13:11:23] Checkin Mobile PolId: 678 Client: enya Licenses: 2 Start: 20170920 End: 20170922 1505905883
Add Product
Add Product date action product version policyID
For example:
[10/18/2018, 13:13:55] Add Product: SilkPerformerWebVU Version: 19.5 PolId: 600
Add Product Error
Add Product Error date action errornum product version policyID
For example:
[10/18/2018, 13:13:55] Add Product Error: SilkPerformerWebVU Version: 19.5 PolId: 600
Remove
Remove date action policyID
For example:
[10/18/2018, 13:13:10] Remove PolId: 600
Parent topic: Log files


Variables contained in log files

The variables that are contained in log file entries are defined as follows:
Variable Name | Description
date | The date and time, in the MM/DD/YYYY time format.
action | The action type.
errornum | Error number of the failed request, as defined in the smLicense.h file and in the Error Codes.
group | If a group grant was used for the request, then the name of that group, otherwise none .
host | The host name as set on the client side.
licenseID | A unique identifier that identifies a license. Start, Check, and Stop messages that refer to the same license have the same identifier. A long integer.
amount | Number of licenses requested. A long integer.
part | Part number requested by client side. A short integer, less than or equal to 50.
policyId | Policy ID defined in the policy header. A string of letters, digits, "." and "_" characters.
producer | Producer name defined in the policy header. A string of letters, digits and "_" characters.
product | Product name requested by client side. A string of letters, digits and "_" characters.
timestamp | The time in seconds since January 1, 1970.
units | Units consumed by the call. A long integer.
user | The user name as set by the client.
project | The name of project as assigned by the Policy Administrator. The default project is segue.
length | Length in seconds of last dongle period.
version | Product version requested by the client. A string of letters, digits, "." and "_" characters.
client | Host name of the client as set on the client side.
licenses | Number of licenses for the mobile policy.
days | Number of days the mobile policy should be checked out from the license server.
startDate | The initial start date of usage for the mobile policy.
endDate | End date of usage for the mobile policy.
Parent topic: Log files


Silk Meter configuration files

You can configure the Silk Meter server and the Silk Meter by using the following Silk Meter configuration files:
  • config.xml. This file is used only for configuring the Silk Meter server.
  • silkmeter.cfg
  • ls_seque.ref
  • CosLicensingService.ref
  • CosPropertyService.ref
  • config.xml
    Describes how you can configure a Silk Meter server by changing the contents of the config.xml file.
  • silkmeter.cfg
    Describes the contents of the silkmeter.cfg file.
  • ls_segue.ref
    Describes the contents of the ls_seque.ref file.
  • CosLicensingService.ref
    Describes the contents of the CosLicensingService.ref file.
  • CosPropertyService.ref
    Describes the contents of the CosPropertyService.ref file.
Parent topic: Welcome to Silk Meter 19.5


config.xml

This file is located in the Bin directory of the Silk Meter installation folder, for example C:\Program Files (x86)\Silk\Silk Meter 19.5\Bin.

This is the configuration file for the Silk Meter Proxy Service. This service handles all incoming requests, forwards requests that are synchronized with and are performed in the Silk Meter Core process, and then provides response data to clients. To activate changes to the configuration file, stop the Silk Meter Proxy Service, make the changes, and then restart the service again. The config.xml file also monitors the health of the Core process and, when required, restarts the Core process.

The structure of the config.xml file looks similar to the following:
<SMPSettings>
  <Server>
    <BindTo></BindTo>
    <Port>0</Port>
    <MultihomedMode>true</MultihomedMode>
    <Threads>100</Threads>
    <VerboseLevel>0</VerboseLevel>
    <VerboseFile>smSystemDebug.log</VerboseFile>
  </Server>
  <Log>
    <WebPort>19462</WebPort>
    <Refresh>20</Refresh>
    <Extended>false</Extended>
    <ClientName>false</ClientName>
    <DebugFile></DebugFile>
    <DebugMsgListLen>100000</DebugMsgListLen>
    <ClosedConnListLen>1000</ClosedConnListLen>
  </Log>
  <Settings>
    <Timeout>15000</Timeout>
    <HandleLimit>0</HandleLimit>
    <VMLimit>419430400</VMLimit>
    <KeepAlive>
      <Time>100000</Time>
      <Interval>0</Interval>
    </KeepAlive>
  </Settings>
</SMPSettings>
The following table describes the server-related tags of the config.xml file.
Tag | Description
BindTo | Enables the binding of the Silk Meter server listening to a specific IP address. When this parameter is not specified, Silk Meter listens on all available IP addresses.
Port | Enables changing of the listening port. When this parameter is set to 0, Silk Meter listens on the default port 5461.
MultihomedMode | Set this property to true if the license server has different network adapters enabled and connected.
Threads | Configures how many different threads are used for incoming requests. The default value is 100.
VerboseLevel | Specifies the debug level for logging. If set to 0, nothing is logged.
VerboseFile | The name of the debug file. The default name is smSystemDebug.log.
The following table describes the log-related tags of the config.xml file.
Tag | Description
WebPort | Configures the listening port of the Status web interface. When this parameter is set to 0, no web interface is available. The default port is 19462.
Refresh | Specifies the refresh interval of the Status web interface. When this parameter is set to 0, the page does not automatically refresh.
Extended | When set to true, additional extended logging information is collected.
ClientName | When set to true, the client names instead of client IP addresses are logged. The default is false.
ClosedConnListLen | Size of the history for closed connections. The default value is 1000.
The following table describes the settings-related tags of the config.xml file.
Tag | Description
Timeout | Specifies the amount of time in milliseconds that a request may reside in the pending state. When the specified value is exceeded, all connections are closed and the Silk Meter Core is re-initialized. The default value is 15000.
HandleLimit | Specifies the number of threads that the license server process may open. When the specified value is exceeded, all connections are closed and the Silk Meter Core is re-initialized. The default value is 0, which means that the handles are not being checked.
VMLimit | Specifies the virtual memory that the license server process may consume in bytes. When the specified value is exceeded, all connections are closed and the Silk Meter Core is re-initialized. The default value is 419430400 bytes.
KeepAlive
Time
Specifies the TCP keep-alive time of all connections in milliseconds. Each time the keep-alive timer expires, the connection is probed to determine if the client is still accessible. If it is not accessible, which means the connection has been broken, the connection is closed and all associated licenses are released. The default is 100000.
Interval
Do not change this setting.
Parent topic: Silk Meter configuration files


silkmeter.cfg

This file is located in the cfg directory of the Silk Meter installation folder, for example C:\ProgramData\Borland\Silk\SilkMeter\cfg\.

This file indicates whether Silk Meter is in the server mode or the standalone mode. The file either contains the line run_standalone=true or run_standalone=false.

This setting is updated each time a user changes the mode by using either the Policy Administrator, the command-line tool smCmdTool.exe, or the Client Admin Tool.

Parent topic: Silk Meter configuration files


ls_segue.ref

This file is located in the cfg directory of the Silk Meter installation folder, for example C:\ProgramData\Borland\Silk\SilkMeter\cfg\.

This file only has one line, which provides the ORB connection setting for the Silk Meter Manager.
IIOP://<hostname>:<port>/ls_segue

Where hostname is the name of the machine where the Silk Meter server runs and port is the number of the port on which the Silk Meter server listens for requests. This must be the same port number as is used in the config.xml file on the Silk Meter server.

This file is only used when Silk Meter is not configured for standalone mode. The setting must be the same as in the CosLicensingService.ref and the CosPropertyService.ref files.

Parent topic: Silk Meter configuration files
Related reference
CosLicensingService.ref
CosPropertyService.ref


CosLicensingService.ref

This file is located in the cfg directory of the Silk Meter installation folder, for example C:\ProgramData\Borland\Silk\SilkMeter\cfg\.

This file only has one line, which provides the ORB connection setting for the Silk Meter licensing service.
IIOP://<hostname>:<port>/CosLicensingService

Where hostname is the name of the machine where the Silk Meter server runs and port is the number of the port on which the Silk Meter server listens for requests. This must be the same port number as is used in the config.xml file on the Silk Meter server.

The Silk Meter licensing service runs in the same process as the Silk Meter Manager. This file is only used when Silk Meter is not configured for standalone mode. The host name and port must be the same as in the ls_seque.ref and the CosPropertyService.ref files.

Parent topic: Silk Meter configuration files
Related reference
ls_segue.ref
CosPropertyService.ref


CosPropertyService.ref

This file is located in the cfg directory of the Silk Meter installation folder, for example C:\ProgramData\Borland\Silk\SilkMeter\cfg\.

This file only has one line, which provides the ORB connection setting for the Silk Meter property service.
IIOP://<hostname>:<port>/CosPropertyService

Where hostname is the name of the machine where the Silk Meter server runs and port is the number of the port on which the Silk Meter server listens for requests. This must be the same port number as is used in the config.xml file on the Silk Meter server.

The Silk Meter licensing service runs in the same process as the Silk Meter Manager. This file is only used when Silk Meter is not configured for standalone mode. The host name and port must be the same as in the ls_seque.ref and the CosLicensingService.ref files.

Parent topic: Silk Meter configuration files
Related reference
ls_segue.ref
CosLicensingService.ref


Obtaining host IDs

You can obtain the host ID by using the following commands:
Command | Description
smHostinfo.exe | This method is using Silk Meter tools to obtain the host ID.
net config workstation | This method is not using Silk Meter tools, and returns the twelve-digit number of the Workstation that is active.
Parent topic: Welcome to Silk Meter 19.5


Changing ports

If port 5461 is in use by another application, or if you need to change ports for some other reason, you can do one of the following:
  • If you have not installed Silk Meter yet, you can set the port during the Silk Meter setup.
  • If you have already installed Silk Meter:
    1. Use the Service Manager to stop the Silk Meter Proxy Service.
    2. Change the port in the config.xml configuration file.
    3. Use the Service Manager to start the Silk Meter Proxy Service again.

    4. To update the connection information for the clients use either the

      Client Admin Tool

      or the

      Policy Adminisrator

      to update the old port number to the new used port number on the Silk Meter server host and on any client host.

Parent topic: Welcome to Silk Meter 19.5


Server status

You can use any browser to view the status of the Silk Meter server, including statistical data, in the Silk Meter Server Status page.

To access the Silk Meter Server Status page, type http://<machinename>:<webport> into the address bar of your browser, where the machinename is the name of the machine on which the Silk Meter server runs, and the webport is the port number of the Silk Meter server. The default port is 19462.

After installing Silk Meter, the Silk Meter Server Status page will display the status "down/unknown" until the server receives the first request.

Two different views are provided:
  • A status page for the proxy service, which is responsible for connection handling.
  • A status page for the Core service.

The following table explains the data that is shown on the status page for the new proxy service.

Displayed Data | Description
Status | Current status of the Silk Meter server. A status of OK indicates that the most recent request was successful.
Last response | Time elapsed since the last response was sent.
Concurrent connections | Number of established connections from Silk Meter clients
Mean client side RTT | Average round-trip time experienced by clients .
Mean Core RTT | Average round-trip time of requests processed by the Silk Meter Core.
Connection queue length | Queue length of client-side connection requests that have not yet been established to the Silk Meter Core.
Pending requests | Number of requests that have not yet received responses.
Connects | Total number of accepted connections.
Total requests | Total number of received requests.
License requests Number of received license requests.
  • start_use
  • end_use
  • probe_use
  • check_use
Listening port | Configured listening port of the Silk Meter server. The default port is 5461.
Silk Meter Core Status | Link to the status page for the Core service.
Reset Log | Resets all data used in status views

The following table explains the data that is shown on the status page for the Core service.

Displayed Data | Description
VM size | Size of currently used Silk Meter Core virtual memory.
Handle count | Number of currently used Silk Meter Core handles.
CPU | Current CPU usage of the Silk Meter Core.
Starts | Number of Core starts, including a log of all start-events and reasons for the starts.
<=back | Button that links back to the status page for the proxy service.
Parent topic: Welcome to Silk Meter 19.5


Errors

You can view a brief description of any Silk Meter error by using the method errorReason. This method returns a short error description in a string or NULL if no error is reported.

The error code describes the attempt that satisfied most of the policy requirements. For example, if one policy rejects the license request because the software version is incorrect and another policy has an appropriate version but rejects the license request because all licenses are in use, the error code will state that all licenses are in use.

The following table lists the Silk Meter errors:
Error Number | Error Code | Description
0 | SGME_NO_ERROR | No error occurred during the issuing or confirmation of the license. The license is valid.
1 | SGME_ERROR_RETURN_CHALLENGE_FAILED | The return challenge checksum from the Usage Control Server is incorrect. The Usage Control Server may not be authorized to issue a license.
2 | SGME_ERROR_CALL_CHALLENGE_FAILED | The Usage Control Server refused to perform the requested operation because the call challenge checksum was incorrect. The client is not authorized to perform operations on this server.
3 | SGME_FAILURE_PROPSERVICE | Communication with the COS Property Service failed.
4 | SGME_FAILURE_LICMANAGER | Communication with the License Manager failed.
5 | SGME_FAILURE_LICSERVER | Communication with the License Server failed.
6 | SGME_FAILURE_NAMESERVICE | Communication with the COS Naming Service failed.
7 | SGME_FAILURE_NAMES_READ | The object naming information file names.dat could not be read.
8 | SGME_FAILURE_NO_NAME | The requested server name could not be resolved.
9 | SGME_FAILURE_NAMES_WRITE | The object naming information file names.dat could not be updated.
10 | SGME_FAILURE_MULTIPLE_SERVERS | Multiple servers for this producer are running on one host.
11 | SGME_FAILURE_RENAMED_SERVER_EXECUTABLE | The server executable has been renamed.
12 | SGME_FAILURE_PROPERTY_READ | A property could not be read from the COS Property Service.
13 | SGME_FAILURE_PROPERTY_WRITE | A property could not be written to the COS Property Service.
14 | SGME_FAILURE_NO_PRODUCER | The requested producer is not registered.
15 | SGME_FAILURE_SVR_NAMESERVICE | Communication between the License Server and the COS Naming Service failed.
16 | SGME_FAILURE_SVR_NAMES_READ | The License Server could not read the object naming information.
17 | SGME_FAILURE_SVR_NAMES_WRITE | The License Server could not update the object naming information.
18 | SGME_FAILURE_SVR_NO_NAME | The License Server could not resolve a server name in the naming file.
19 | SGME_FAILURE_SVR_PROPERTY_READ | The License Server could not write a property to the COS Property Service.
20 | SGME_FAILURE_SVR_PROPERTY_WRITE | The License Server could not read a property from the COS Property Service.
21 | SGME_FAILURE_SVR_PROPSERVICE | Communication between the License Server and the COS Property Service failed.
22 | SGME_FAILURE_SVR_LICMANAGER | Communication between the License Server and the License Manager failed.
30 | SGME_FAILURE_PG | The Policy Generator failed.
31 | SGME_FAILURE_PG_LICENSE | The Policy Generator was unable to obtain a valid license.
32 | SGME_FAILURE_PG_LICMANAGER | Communication between the Policy Generator and the License Manager failed.
33 | SGME_FAILURE_PG_AUTH | Authentication to use the Policy Generator failed.
34 | SGME_FAILURE_PG_PERM | Permission to use the Policy Generator is insufficient.
35 | SGME_FAILURE_POLICY_NOT_FOUND | The requested policy was not found in the license manager.
50 | SGME_ERROR_OLD_SERVER_VERSION | The server version is lower then the version required by the policy. Please update your Silk Meter server.
101 | SGME_ERROR_WRONG_PRODUCT | No policy for the requested product is available.
102 | SGME_ERROR_WRONG_VERSION | No policy for the requested version of the product is available.
103 | SGME_ERROR_WRONG_PLATFORM | No policy for the platform of the client is available for the requested product.
104 | SGME_ERROR_WRONG_PART | The requested part of this product does not exist.
105 | SGME_ERROR_KEY_INVALID | The key of the requested policy is invalid.
106 | SGME_ERROR_DUPLICATE_POLICY_ID | The policy ID of the requested policy is a duplicate.
107 | SGME_ERROR_POLICY_SYNTAX_ERROR | The text of the requested policy has syntax errors.
108 | SGME_ERROR_WRONG_SERVERID | The host ID of the Usage Control Server is incorrect. The server is not authorized to issue licenses for the policy.
109 | SGME_ERROR_NO_USER_GRANT | The current user has no authorization to use the product.
110 | SGME_ERROR_NO_GROUP_GRANT | The user's current group isn't authorized to use the product.
111 | SGME_ERROR_NO_HOST_GRANT | The user's current host isn't authorized to use the product.
112 | SGME_ERROR_GRANTS_PGRANTS_MIXED | User grants and producer grants can't be mixed in a single policy.
113 | SGME_ERROR_NO_LICENSES | All licenses for the requested product are in use.
114 | SGME_ERROR_DATE_EXPIRED | Policy Expired. The current date is past the last day of the policy for this product.
115 | SGME_ERROR_DATE_NOT_REACHED | The current date is before the starting date of the policy for this product.
116 | SGME_ERROR_WRONG_DAY | Usage of this product is not authorized on this day of the week.
117 | SGME_ERROR_WRONG_TIME | Usage of this product is not authorized at this time of day.
118 | SGME_ERROR_NO_INVOKES | The number of invocations of this product has exceeded the number specified in the policy.
119 | SGME_ERROR_NO_UNITS | The number of consumption units of this product has exceeded the number specified in the policy.
120 | SGME_ERROR_WRONG_PASSWORD | The supplied password does not match.
130 | SGME_ERROR_WRONG_HOSTNAME | The supplied host name does not match.
140 | SGME_ERROR_NO_STANDALONE_LICENSE | No standalone license is available.
150 | SGME_ERROR_DONGLE_CHECK_FAILED | Could not find the specified dongle.
160 | SGME_ERROR_USAGEPERIOD_CORRUPTED | The data for the Usage Period check is corrupted.
161 | SGME_ERROR_USAGEPERIOD_TOO_EARLY | The date has been set back since the last Usage Period usage.
162 | SGME_ERROR_USAGEPERIOD_ALL_USED | All Usage Periods have been used for this policy.
165 | SGME_ERROR_USAGEPERIOD_NO_JAVA | Usage Periods are not supported in Java standalone mode and by Java servers.
166 | SGME_ERROR_USAGEPERIOD_NO_UNIX | Usage Periods are not supported in UNIX standalone mode and by UNIX servers.
167 | SGME_STANDALONE_NOT_SUPPORTED | This function is not supported in standalone mode.
170 | SGME_ERROR_SYSTEM_TIME_CORRUPTED | The system time has been set back or otherwise corrupted.
171 | SGME_ERROR_NEED_DONGLEID | A dongle ID is required when using a usage_dongle_type attribute.
172 | SGME_ERROR_DONGLE_FAILURE | Technical failure, unable to access dongle.
173 | SGME_ERROR_DONGLE_MISSING | Couldn't find Micro Focus dongle.
174 | SGME_ERROR_DONGLE_WRONG_ID | Couldn't find Micro Focus dongle with matching dongle id.
175 | SGME_ERROR_DONGLE_NO_UNIX | Dongles not supported by UNIX.
176 | SGME_ERROR_DONGLE_LATER_FAILURE | Dongle with ID found, but subsequent technical failure occurred.
177 | SGME_ERROR_DONGLE_MEMORY_FULL | Not enough memory remaining on dongle.
178 | SGME_ERROR_DONGLE_WRITE_FAILED | Write to dongle failed.
179 | SGME_ERROR_DONGLE_TIME_ERROR | Time set back or time error occurred.
180 | SGME_ERROR_DONGLE_NO_FILL | Fill_or_kill set, not enough tokens available.
181 | SGME_ERROR_DONGLE_NOT_IMPLEMENTED | Dongles not implemented.
190 | SGME_ERROR_MOBILE_INVALID_PARAMETER | Invalid parameters provided for mobile licensing.
200 | SGME_ERROR_MOBILE_LICENSING | Mobile licensing error.
202 | SGME_ERROR_POLICY_NOT_MOBILE | Mobile policy is required.
203 | SGME_ERROR_MOBILE_OLD_SERVER_VERSION | License server is to too old for mobile licensing.
205 | SGME_ERROR_NO_INSTALLED_MOBILE_POLICY | There is no local mobile policy with required policy ID.
206 | SGME_ERROR_NO_MOBILE_PARENT_HOST | License server is not mobile parent host.
207 | SGME_ERROR_INVALID_MOBILE_INSTALLATION | Mobile policy has not been installed properly.
209 | SGME_ERROR_MOBILE_CHECKIN | Error on check in of mobile licenses.
211 | SGME_ERROR_MOBILE_POLICY_ALREADY_INSTALLED | Mobile policy with required ID already installed on this machine.
214 | SGME_ERROR_MOBILE_LOCAL_OR_STANDALONE | Cannot check out policy from local machine or in standalone mode.
217 | SGME_ERROR_MOBILE_NO_TARGET_POLICY | Target policy is no mobile license.
219 | SGME_ERROR_MOBILE_NOT_ENOUGH_LICENSES | There are not enough licenses on license server for requested mobile licenses.
221 | SGME_ERROR_MOBILE_TARGET_IS_DONGLE | Target license is a dongle based license and not supported for mobile licensing.
223 | SGME_ERROR_MOBILE_TARGET_IS_MOBILE | Target license is already a mobile license.
225 | SGME_ERROR_MOBILE_TARGET_HAS_MAXUNITS | Target license has a maximum of units, which are not supported for mobile licensing.
227 | SGME_ERROR_MOBILE_TARGET_IS_SILKCARD | Target license is a SilkCard license and not supported for mobile licensing.
229 | SGME_ERROR_MOBILE_WRONG_TIMEFRAME | Timeframe error.
231 | SGME_ERROR_WRONG_MOBILE_PARENT_HOST | Target license server is not parent of mobile licenses.
233 | SGME_ERROR_LOCAL_POLICY_WITH_SAME_ID_EXISTS | There exists already a license with same policy id on local license server.
10000 | SGME_ERROR_UNKNOWN | Unknown reason.
Parent topic: Welcome to Silk Meter 19.5
Related reference
Warning codes


Warning codes

Silk Meter policies can have warning codes associated with them. The warning code that is connected to a license may contain the following messages:
  1. All licenses are in use, but because of the relaxed license count a license is still granted.
  2. This license is marked as a demo license.
  3. This license is marked as a laptop license.
  4. This license will expire in less than two weeks.

Warning messages are returned in the above stated order of preference. This means that if a license will expire in less than two weeks and is a demo license, only the warning code regarding the demo license will be returned.

The programmer of the application that is controlled by Silk Meter can decide how to handle warning codes. For example, the application can disable functionality or display additional disclaimers for a demo license or warning message if the license is set to expire soon. The method warningReason returns a string describing the warning.

The following table lists the Silk Meter warning codes, along with a brief description.
Warning Code | Description
SGME_NO_WARNING | The license does not have a warning code. The license may still be invalid, check the error code.
SGME_WARNING_RELAXED_EXCEEDED | The number of available licenses for this product has been exceeded, but the license is in relaxed mode and allows continued operation.
SGME_WARNING_DEMO_LICENSE | The policy for this product is only a demo policy.
SGME_WARNING_LAPTOP_LICENSE | The policy for this product is only a laptop policy.
SGME_WARNING_EXPIRING_SOON | The policy for this product will expire in less than 14 days.
Parent topic: Welcome to Silk Meter 19.5
Related reference
Errors


Keyboard shortcuts

The following table lists the keyboard shortcuts that are available for the Policy Administrator.
Keyboard Shortcut | Action
Alt+P | Import policy.
Alt+O | Check out policy.
Alt+I | Check in policy.
Alt+Q | Exit.
Alt+D | Delete server/policy.
Alt+G | Edit grants.
Alt+J | Edit default project.
Alt+C | Connection settings.
Alt+T | Statistics.
Alt+L | Query log files.
Alt+M | Merge report files.
F5 | Refresh.
Alt+U | Edit users/groups.
Alt+Y | Change security mode.
Alt+X | Open Help.
Alt+A | About.
Parent topic: Welcome to Silk Meter 19.5


Contacting Micro Focus

Micro Focus is committed to providing world-class technical support and consulting services. Micro Focus provides worldwide support, delivering timely, reliable service to ensure every customer's business success.

All customers who are under a maintenance and support contract, as well as prospective customers who are evaluating products, are eligible for customer support. Our highly trained staff respond to your requests as quickly and professionally as possible.

Visit http://supportline.microfocus.com/assistedservices.asp to communicate directly with Micro Focus SupportLine to resolve your issues, or email supportline@microfocus.com.

Visit Micro Focus SupportLine at http://supportline.microfocus.com for up-to-date support news and access to other support information. First time users may be required to register to the site.

  • Information Needed by Micro Focus SupportLine
    Lists information needed by Micro Focus SupportLine to help address customer issues.
Parent topic: Welcome to Silk Meter 19.5


Information Needed by Micro Focus SupportLine

When contacting Micro Focus SupportLine, please include the following information if possible. The more information you can give, the better Micro Focus SupportLine can help you.

  • The name and version number of all products that you think might be causing an issue.
  • Your computer make and model.
  • System information such as operating system name and version, processors, and memory details.
  • Any detailed description of the issue, including steps to reproduce the issue.
  • Exact wording of any error messages involved.
  • Your serial number.

To find out these numbers, look in the subject line and body of your Electronic Product Delivery Notice email that you received from Micro Focus.

Parent topic: Contacting Micro Focus